IF OBJECT_ID('EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA') IS NULL	
	BEGIN
		CREATE TABLE [dbo].[EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA](
			[CD_CTR] [int] NOT NULL,
			[CD_EMP] [int] NOT NULL,			
			[CD_AGD] [int] NOT NULL,
		 CONSTRAINT [PK_EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA] PRIMARY KEY CLUSTERED 
		(
			[CD_CTR] ASC,
			[CD_EMP] ASC,			
			[CD_AGD] ASC
		)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
		) ON [PRIMARY]

		ALTER TABLE [dbo].[EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA]  WITH CHECK ADD  CONSTRAINT [FK_EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA_EST_ALCADA_CP_PED] FOREIGN KEY([CD_CTR])
		REFERENCES [dbo].[EST_ALCADA_CP_PED] ([CD_CTR])

		ALTER TABLE [dbo].[EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA] CHECK CONSTRAINT [FK_EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA_EST_ALCADA_CP_PED]		
		
		ALTER TABLE [dbo].[EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA]  WITH CHECK ADD  CONSTRAINT [FK_EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA_EST_PROD_CPL_FACE_AGENDA] FOREIGN KEY([CD_EMP],[CD_AGD])
		REFERENCES [dbo].[EST_PROD_CPL_FACE_AGENDA] ([CD_EMP], [CD_AGD])

		ALTER TABLE [dbo].[EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA] CHECK CONSTRAINT [FK_EST_ALCADA_CP_PED_EST_PROD_CPL_FACE_AGENDA_EST_PROD_CPL_FACE_AGENDA]
	END